# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'marolf_library.ui'
#
# Created by: PyQt5 UI code generator 5.15.4
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(1207, 668)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.centralwidget)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout()
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.results_label = QtWidgets.QLabel(self.centralwidget)
        self.results_label.setObjectName("results_label")
        self.verticalLayout_2.addWidget(self.results_label)
        self.results_table = QtWidgets.QTableWidget(self.centralwidget)
        self.results_table.setEditTriggers(QtWidgets.QAbstractItemView.NoEditTriggers)
        self.results_table.setObjectName("results_table")
        self.results_table.setColumnCount(6)
        self.results_table.setRowCount(0)
        item = QtWidgets.QTableWidgetItem()
        self.results_table.setHorizontalHeaderItem(0, item)
        item = QtWidgets.QTableWidgetItem()
        self.results_table.setHorizontalHeaderItem(1, item)
        item = QtWidgets.QTableWidgetItem()
        self.results_table.setHorizontalHeaderItem(2, item)
        item = QtWidgets.QTableWidgetItem()
        self.results_table.setHorizontalHeaderItem(3, item)
        item = QtWidgets.QTableWidgetItem()
        self.results_table.setHorizontalHeaderItem(4, item)
        item = QtWidgets.QTableWidgetItem()
        self.results_table.setHorizontalHeaderItem(5, item)
        self.verticalLayout_2.addWidget(self.results_table)
        self.horizontalLayout.addLayout(self.verticalLayout_2)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout()
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout()
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.orderby_label = QtWidgets.QLabel(self.centralwidget)
        self.orderby_label.setObjectName("orderby_label")
        self.verticalLayout_5.addWidget(self.orderby_label)
        self.orderby_mostrecent_radio = QtWidgets.QRadioButton(self.centralwidget)
        self.orderby_mostrecent_radio.setChecked(True)
        self.orderby_mostrecent_radio.setObjectName("orderby_mostrecent_radio")
        self.verticalLayout_5.addWidget(self.orderby_mostrecent_radio)
        self.orderby_titlealpha_radio = QtWidgets.QRadioButton(self.centralwidget)
        self.orderby_titlealpha_radio.setObjectName("orderby_titlealpha_radio")
        self.verticalLayout_5.addWidget(self.orderby_titlealpha_radio)
        self.horizontalLayout_4.addLayout(self.verticalLayout_5)
        self.search_push = QtWidgets.QPushButton(self.centralwidget)
        self.search_push.setObjectName("search_push")
        self.horizontalLayout_4.addWidget(self.search_push)
        self.verticalLayout_3.addLayout(self.horizontalLayout_4)
        self.verticalLayout_6 = QtWidgets.QVBoxLayout()
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.addfilter_label = QtWidgets.QLabel(self.centralwidget)
        self.addfilter_label.setObjectName("addfilter_label")
        self.verticalLayout_6.addWidget(self.addfilter_label)
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.filter_combo = QtWidgets.QComboBox(self.centralwidget)
        self.filter_combo.setObjectName("filter_combo")
        self.filter_combo.addItem("")
        self.filter_combo.addItem("")
        self.filter_combo.addItem("")
        self.filter_combo.addItem("")
        self.filter_combo.addItem("")
        self.filter_combo.addItem("")
        self.filter_combo.addItem("")
        self.horizontalLayout_5.addWidget(self.filter_combo)
        self.filter_lineedit = QtWidgets.QLineEdit(self.centralwidget)
        self.filter_lineedit.setObjectName("filter_lineedit")
        self.horizontalLayout_5.addWidget(self.filter_lineedit)
        self.addfilter_push = QtWidgets.QPushButton(self.centralwidget)
        self.addfilter_push.setObjectName("addfilter_push")
        self.horizontalLayout_5.addWidget(self.addfilter_push)
        self.deletefilter_push = QtWidgets.QPushButton(self.centralwidget)
        self.deletefilter_push.setObjectName("deletefilter_push")
        self.horizontalLayout_5.addWidget(self.deletefilter_push)
        self.verticalLayout_6.addLayout(self.horizontalLayout_5)
        self.filters_list = QtWidgets.QListWidget(self.centralwidget)
        self.filters_list.setEditTriggers(QtWidgets.QAbstractItemView.NoEditTriggers)
        self.filters_list.setSelectionMode(QtWidgets.QAbstractItemView.MultiSelection)
        self.filters_list.setObjectName("filters_list")
        self.verticalLayout_6.addWidget(self.filters_list)
        self.verticalLayout_3.addLayout(self.verticalLayout_6)
        self.horizontalLayout.addLayout(self.verticalLayout_3)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.addoredit_label = QtWidgets.QLabel(self.centralwidget)
        self.addoredit_label.setObjectName("addoredit_label")
        self.verticalLayout.addWidget(self.addoredit_label)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout()
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.instructions_label = QtWidgets.QLabel(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.instructions_label.sizePolicy().hasHeightForWidth())
        self.instructions_label.setSizePolicy(sizePolicy)
        self.instructions_label.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.instructions_label.setWordWrap(True)
        self.instructions_label.setObjectName("instructions_label")
        self.verticalLayout_7.addWidget(self.instructions_label)
        self.title_label = QtWidgets.QLabel(self.centralwidget)
        self.title_label.setObjectName("title_label")
        self.verticalLayout_7.addWidget(self.title_label)
        self.title_lineedit = QtWidgets.QLineEdit(self.centralwidget)
        self.title_lineedit.setEnabled(True)
        self.title_lineedit.setObjectName("title_lineedit")
        self.verticalLayout_7.addWidget(self.title_lineedit)
        self.horizontalLayout_9 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_9.setObjectName("horizontalLayout_9")
        self.location_label = QtWidgets.QLabel(self.centralwidget)
        self.location_label.setObjectName("location_label")
        self.horizontalLayout_9.addWidget(self.location_label)
        self.locations_tool = QtWidgets.QToolButton(self.centralwidget)
        self.locations_tool.setObjectName("locations_tool")
        self.horizontalLayout_9.addWidget(self.locations_tool)
        self.verticalLayout_7.addLayout(self.horizontalLayout_9)
        self.location_combo = QtWidgets.QComboBox(self.centralwidget)
        self.location_combo.setObjectName("location_combo")
        self.verticalLayout_7.addWidget(self.location_combo)
        self.editbook_check = QtWidgets.QCheckBox(self.centralwidget)
        self.editbook_check.setObjectName("editbook_check")
        self.verticalLayout_7.addWidget(self.editbook_check)
        self.horizontalLayout_11 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_11.setObjectName("horizontalLayout_11")
        self.bookid_label = QtWidgets.QLabel(self.centralwidget)
        self.bookid_label.setObjectName("bookid_label")
        self.horizontalLayout_11.addWidget(self.bookid_label)
        self.bookid_lineedit = QtWidgets.QLineEdit(self.centralwidget)
        self.bookid_lineedit.setEnabled(False)
        self.bookid_lineedit.setObjectName("bookid_lineedit")
        self.horizontalLayout_11.addWidget(self.bookid_lineedit)
        self.verticalLayout_7.addLayout(self.horizontalLayout_11)
        self.populatedata_push = QtWidgets.QPushButton(self.centralwidget)
        self.populatedata_push.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.populatedata_push.sizePolicy().hasHeightForWidth())
        self.populatedata_push.setSizePolicy(sizePolicy)
        self.populatedata_push.setObjectName("populatedata_push")
        self.verticalLayout_7.addWidget(self.populatedata_push)
        self.submit_push = QtWidgets.QPushButton(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.submit_push.sizePolicy().hasHeightForWidth())
        self.submit_push.setSizePolicy(sizePolicy)
        self.submit_push.setSizeIncrement(QtCore.QSize(0, 0))
        self.submit_push.setObjectName("submit_push")
        self.verticalLayout_7.addWidget(self.submit_push)
        self.horizontalLayout_2.addLayout(self.verticalLayout_7)
        self.verticalLayout_10 = QtWidgets.QVBoxLayout()
        self.verticalLayout_10.setObjectName("verticalLayout_10")
        self.horizontalLayout_8 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_8.setObjectName("horizontalLayout_8")
        self.authors_label = QtWidgets.QLabel(self.centralwidget)
        self.authors_label.setObjectName("authors_label")
        self.horizontalLayout_8.addWidget(self.authors_label)
        self.authors_tool = QtWidgets.QToolButton(self.centralwidget)
        self.authors_tool.setObjectName("authors_tool")
        self.horizontalLayout_8.addWidget(self.authors_tool)
        self.verticalLayout_10.addLayout(self.horizontalLayout_8)
        self.authors_list = QtWidgets.QListWidget(self.centralwidget)
        self.authors_list.setEditTriggers(QtWidgets.QAbstractItemView.NoEditTriggers)
        self.authors_list.setSelectionMode(QtWidgets.QAbstractItemView.MultiSelection)
        self.authors_list.setObjectName("authors_list")
        self.verticalLayout_10.addWidget(self.authors_list)
        self.horizontalLayout_2.addLayout(self.verticalLayout_10)
        self.verticalLayout_9 = QtWidgets.QVBoxLayout()
        self.verticalLayout_9.setObjectName("verticalLayout_9")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.editors_label = QtWidgets.QLabel(self.centralwidget)
        self.editors_label.setObjectName("editors_label")
        self.horizontalLayout_3.addWidget(self.editors_label)
        self.editors_tool = QtWidgets.QToolButton(self.centralwidget)
        self.editors_tool.setObjectName("editors_tool")
        self.horizontalLayout_3.addWidget(self.editors_tool)
        self.verticalLayout_9.addLayout(self.horizontalLayout_3)
        self.editors_list = QtWidgets.QListWidget(self.centralwidget)
        self.editors_list.setEditTriggers(QtWidgets.QAbstractItemView.NoEditTriggers)
        self.editors_list.setSelectionMode(QtWidgets.QAbstractItemView.MultiSelection)
        self.editors_list.setObjectName("editors_list")
        self.verticalLayout_9.addWidget(self.editors_list)
        self.horizontalLayout_2.addLayout(self.verticalLayout_9)
        self.verticalLayout_8 = QtWidgets.QVBoxLayout()
        self.verticalLayout_8.setObjectName("verticalLayout_8")
        self.horizontalLayout_10 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_10.setObjectName("horizontalLayout_10")
        self.keywords_label = QtWidgets.QLabel(self.centralwidget)
        self.keywords_label.setObjectName("keywords_label")
        self.horizontalLayout_10.addWidget(self.keywords_label)
        self.keywords_tool = QtWidgets.QToolButton(self.centralwidget)
        self.keywords_tool.setObjectName("keywords_tool")
        self.horizontalLayout_10.addWidget(self.keywords_tool)
        self.verticalLayout_8.addLayout(self.horizontalLayout_10)
        self.keywords_list = QtWidgets.QListWidget(self.centralwidget)
        self.keywords_list.setEditTriggers(QtWidgets.QAbstractItemView.NoEditTriggers)
        self.keywords_list.setSelectionMode(QtWidgets.QAbstractItemView.MultiSelection)
        self.keywords_list.setObjectName("keywords_list")
        self.verticalLayout_8.addWidget(self.keywords_list)
        self.horizontalLayout_2.addLayout(self.verticalLayout_8)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        MainWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 1207, 21))
        self.menubar.setObjectName("menubar")
        MainWindow.setMenuBar(self.menubar)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        self.results_label.setText(_translate("MainWindow", "Results"))
        item = self.results_table.horizontalHeaderItem(0)
        item.setText(_translate("MainWindow", "Book ID#"))
        item = self.results_table.horizontalHeaderItem(1)
        item.setText(_translate("MainWindow", "Title"))
        item = self.results_table.horizontalHeaderItem(2)
        item.setText(_translate("MainWindow", "Author(s)"))
        item = self.results_table.horizontalHeaderItem(3)
        item.setText(_translate("MainWindow", "Editor(s)"))
        item = self.results_table.horizontalHeaderItem(4)
        item.setText(_translate("MainWindow", "Location"))
        item = self.results_table.horizontalHeaderItem(5)
        item.setText(_translate("MainWindow", "Keyword(s)"))
        self.orderby_label.setText(_translate("MainWindow", "Order by:"))
        self.orderby_mostrecent_radio.setText(_translate("MainWindow", "Most recently added"))
        self.orderby_titlealpha_radio.setText(_translate("MainWindow", "Alpha by Title"))
        self.search_push.setText(_translate("MainWindow", "Search"))
        self.addfilter_label.setText(_translate("MainWindow", "Add filter(s):"))
        self.filter_combo.setItemText(0, _translate("MainWindow", "Keyword"))
        self.filter_combo.setItemText(1, _translate("MainWindow", "Author (last name)"))
        self.filter_combo.setItemText(2, _translate("MainWindow", "Author (first name)"))
        self.filter_combo.setItemText(3, _translate("MainWindow", "Editor (last name)"))
        self.filter_combo.setItemText(4, _translate("MainWindow", "Editor (first name)"))
        self.filter_combo.setItemText(5, _translate("MainWindow", "Title (or partial title)"))
        self.filter_combo.setItemText(6, _translate("MainWindow", "Location"))
        self.addfilter_push.setText(_translate("MainWindow", "Add"))
        self.deletefilter_push.setText(_translate("MainWindow", "Delete"))
        self.addoredit_label.setText(_translate("MainWindow", "Add or Edit Book:"))
        self.instructions_label.setText(_translate("MainWindow", "To add a book, simply check add information to all of the appropriate fields, then click \"Submit.\" To edit a book, select the \"Edit book entry?\" box, enter the Book ID# in the field below, and click \"Populate Data.\" Then, update the information and select \"Submit.\""))
        self.title_label.setText(_translate("MainWindow", "Title:"))
        self.location_label.setText(_translate("MainWindow", "Location:"))
        self.locations_tool.setText(_translate("MainWindow", "..."))
        self.editbook_check.setText(_translate("MainWindow", "Edit book entry?"))
        self.bookid_label.setText(_translate("MainWindow", "Book ID#"))
        self.populatedata_push.setText(_translate("MainWindow", "Populate Data"))
        self.submit_push.setText(_translate("MainWindow", "Submit"))
        self.authors_label.setText(_translate("MainWindow", "Author(s):"))
        self.authors_tool.setText(_translate("MainWindow", "..."))
        self.editors_label.setText(_translate("MainWindow", "Editor(s):"))
        self.editors_tool.setText(_translate("MainWindow", "..."))
        self.keywords_label.setText(_translate("MainWindow", "Keyword(s):"))
        self.keywords_tool.setText(_translate("MainWindow", "..."))


if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    MainWindow = QtWidgets.QMainWindow()
    ui = Ui_MainWindow()
    ui.setupUi(MainWindow)
    MainWindow.show()
    sys.exit(app.exec_())
